%define upstream_name    Plack-Middleware-Assets
%define upstream_version 1.0.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Concatenate and minify JavaScript and CSS files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load)
BuildRequires: perl(CSS::Minifier::XS)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(JavaScript::Minifier::XS)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Plack::Middleware)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
Plack::Middleware::Assets concatenates JavaScript and CSS files and
minifies them. A 'md5' digest is generated and used as unique url to the
asset. The 'Last-Modified' header is set to the 'mtime' of the most
recently changed file. The 'Expires' header is set to one month in advance.
Set the /expires manpage to change the time of expiry.

The concatented and minified content is cached in memory.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-5.mga6
+ Revision: 1032080
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.0.0-4.mga6
+ Revision: 942517
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 744973
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Mar 30 2014 shlomif <shlomif> 1.0.0-1.mga5
+ Revision: 610511
- Add BR
- update to 1.0.0
- imported package perl-Plack-Middleware-Assets


* Tue Dec 25 2012 cpan2dist 0.0.2-1mga
- initial mageia release, generated with cpan2dist
